using FluentNHibernate.Mapping;
using System;

namespace FluentNhibernate2100ErrorTest
{
	public class Department
	{
		public virtual int id { get; set; }
		public virtual string name { get; set; }
	}

    public class DepartmentMap : ClassMap<Department>
	{
        public DepartmentMap()
		{
			Table("sampledata..department");
			Id(u => u.id);
			Map(u => u.name).Length(50).Nullable();
		}
	}
}
