using FluentNHibernate.Mapping;
using System;

namespace FluentNhibernate2100ErrorTest
{
	public class Person
	{
		public virtual int id { get; set; }
		public virtual string first { get; set; }
		public virtual string last { get; set; }
		public virtual int department { get; set; }
	}

    public class PersonMap : ClassMap<Person>
	{
        public PersonMap()
		{
			Table("sampledata..person");
			Id(u => u.id);
			Map(u => u.first).Length(50).Nullable();
			Map(u => u.last).Length(50).Nullable();
			Map(u => u.department).Not.Nullable();
		}
	}
}
