﻿using System;
using System.Linq;
using NHibernate;
using NHibernate.Linq;
using System.Collections.Generic;

namespace FluentNhibernate2100ErrorTest
{
    public class CRUDOperations
    {
        public void CreatePerson(string firstName, string lastName, int departmentNumber)
        {
            using (ISession db = MSSQLSessionFactory.OpenSession())
            {
                Person student = new Person()
                {
                    first = firstName,
                    last = lastName,
                    department = departmentNumber
                };

                db.Save(student);
            }
        }

        public void CreateDepartment(string deptName)
        {
            using (ISession db = MSSQLSessionFactory.OpenSession())
            {
                Department theclass = new Department()
                {
                    name = deptName
                };

                db.Save(theclass);
            }
        }

        
    }
}
